Skip to main content
GET
/
tenants
/
{tenantId}
/
credentials
/
{credentialId}
cURL
# Get credential without key
curl "https://api.arkhq.io/v1/tenants/cm6abc123def456/credentials/123" \
  -H "Authorization: Bearer YOUR_API_KEY"

# Get credential with key revealed
curl "https://api.arkhq.io/v1/tenants/cm6abc123def456/credentials/123?reveal=true" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "data": {
    "id": 123,
    "name": "production-smtp",
    "type": "smtp",
    "hold": false,
    "lastUsedAt": "2026-02-03T10:30:00Z",
    "createdAt": "2026-01-15T08:00:00Z",
    "updatedAt": "2026-02-03T10:30:00Z"
  },
  "meta": {
    "requestId": "req_abc123xyz"
  }
}

Authorizations

Authorization
string
header
required

Use your API key from arkhq.io/org/credentials

Authorization: Bearer YOUR_API_KEY

Path Parameters

tenantId
string
required

The tenant ID

credentialId
integer
required

The credential ID (numeric)

Query Parameters

reveal
boolean
default:false

Set to true to include the credential key in the response

Response

Credential details

success
boolean
required
data
object
required
meta
object
required